Subject: bug#10309: 24.0.92; [wishlist] Add an option to disable "auto-refining" while moving between hunks in diff mode

From: Dani Moncayo <[email-masked]>
Date: Fri, 16 Dec 2011 18:53:38 +0100

>> 1) I'd like to control whether that minor mode is enabled by default
>> after invoking the `diff' command.  Currently it is, and I'd like it
>> wasn't.
>
> What about
>
>  (setq-default diff-auto-refine-mode nil)
>
> in your .emacs?

I thought it too, and it seems to work, but I saw the docstring of
that variable, and it seem to advise against changing the variable at
user-level:

  Non-nil if Diff-Auto-Refine mode is enabled.
  Use the command `diff-auto-refine-mode' to change this variable.

Why?

-- 
Dani Moncayo